Loading...
Searching...
No Matches
bwOverlappingIntervals_t Struct Reference

Holds interval:value associations. More...

`#include <bigWig.h>`

## Data Fields

uint32_t | l
uint32_t | m
uint32_t * | start
uint32_t * | end
float * | value

## Detailed Description

Holds interval:value associations.

## Field Documentation

## end

uint32_t* bwOverlappingIntervals_t::end

The end positions (0-based half open)

## l

uint32_t bwOverlappingIntervals_t::l

Number of intervals held

## m

uint32_t bwOverlappingIntervals_t::m

Maximum number of values/intervals the struct can hold

## start

uint32_t* bwOverlappingIntervals_t::start

The start positions (0-based half open)

## value

float* bwOverlappingIntervals_t::value

The value associated with each position

The documentation for this struct was generated from the following file:

- bigWig.h